CREATE TABLE [log](
	[num] [int] IDENTITY(1,1) NOT NULL,
	[uptime] [int] NULL,
	[time] [int] NOT NULL,
	[day] [int] NOT NULL,
	[ip] [varchar](15) COLLATE French_CI_AS NOT NULL CONSTRAINT [DF_log_ip]  DEFAULT (''),
	[marge] [float] NULL,
	[attenuation] [float] NULL,
	[voip] [varchar](5) COLLATE French_CI_AS NOT NULL CONSTRAINT [DF_log_voip]  DEFAULT (''),
	[upload] [int] NOT NULL,
	[download] [int] NOT NULL,
	[attainable_upstream] [int] NOT NULL,
	[attainable_downstream] [int] NOT NULL,
	[crc] [int] NOT NULL,
	[crc_uncorr] [int] NOT NULL,
	[crc_up] [int] NOT NULL,
	[crc_uncorr_up] [int] NOT NULL,	
	[snr_up] [float] NULL,
	[attenuation_up] [float] NULL,	
 CONSTRAINT [PK_log] PRIMARY KEY CLUSTERED 
(
	[num] ASC
)
) 

CREATE TABLE [mrtg] (
	[time] [int] IDENTITY(1,1) NOT NULL,
	[day] [int] NOT NULL,
	[eth0_RX] [int] NOT NULL,
	[eth0_TX] [int] NOT NULL,
	[eth1_RX] [int] NOT NULL,
	[eth1_TX] [int] NOT NULL,
	[usb0_RX] [int] NOT NULL,
	[usb0_TX] [int] NOT NULL,
	[br0_RX] [int] NOT NULL,
	[br0_TX] [int] NOT NULL,
	[wl0_RX] [int] NOT NULL,
	[wl0_TX] [int] NOT NULL,
	[ppp0_RX] [int] NOT NULL,
	[ppp0_TX] [int] NOT NULL,
	[nas1_RX] [int] NOT NULL,
	[nas1_TX] [int] NOT NULL,
	[nas2_RX] [int] NOT NULL,
	[nas2_TX] [int] NOT NULL,
	[nas3_RX] [int] NOT NULL,
	[nas3_TX] [int] NOT NULL,
	[nas4_RX] [int] NOT NULL,
	[nas4_TX] [int] NOT NULL,
	[nas5_RX] [int] NOT NULL,
	[nas5_TX] [int] NOT NULL,
	[nas6_RX] [int] NOT NULL,
	[nas6_TX] [int] NOT NULL,
	[nas7_RX] [int] NOT NULL,
	[nas7_TX] [int] NOT NULL,
	PRIMARY KEY  (`time`)
	CONSTRAINT [PK_log] PRIMARY KEY CLUSTERED 
	(
		[time] ASC
	)
);