<?php
/*********************************************************************************/
/*     Copyright (C) 2004-2005 Jean-Sbastien H. ( ED ) ( Livebox-script.com )   */
/*                                                                               */
/*     This file is part of Uptime Script                                        */
/*                                                                               */
/*     Uptime Script is free software; you can redistribute it and/or modify     */
/*     it under the terms of the GNU General Public License as published by      */
/*     the Free Software Foundation; either version 2 of the License, or         */
/*     (at your option) any later version.                                       */
/*                                                                               */ 
/*     Uptime Script is distributed in the hope that it will be useful,          */
/*     but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */ 
/*     GNU General Public License for more details.                              */
/*                                                                               */
/*     You should have received a copy of the GNU General Public License         */ 
/*     along with Uptime Script; if not, write to the Free Software              */
/*     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA */
/*********************************************************************************/
/*                                                                               */
/*         Fichier                                       */
/*         Cr le 04 sept 2006                                                  */
/*                                                              				 */
/*         Derniere modification: 05 sept 2006   - v4.0.0.alpha-rev9             */
/*                                                                               */
/*********************************************************************************/
class Page extends AbstractPage {
	public function displayContent() {
		if(!isset($_GET['week']) && !isset($_GET['year']) && !is_numeric($_GET['week']) && !is_numeric($_GET['year']))
			$display = I10N_ERROR_WEEK_UNDEFINED;
		else {
			$display = "<h4>".I10N_WEEK.": ".$_GET['week']." - ".I10N_YEAR." ".$_GET['year']."</h4>";
			$week = $_GET['week'];
	    	$year = $_GET['year'];
		 
			$week_timestamp = $this->week_dates($_GET['week'],$_GET['year']);
			
			$day_before = strtotime("-1 day",$week_timestamp[6]);
			//echo date("d-mY H:s:i",$day_before);
			$week_before = date("W",$day_before);
			$year_before = date("Y",$day_before);
			
			$day_after = strtotime("+1 day",$week_timestamp[0]);
			$week_after = date("W",$day_after);
			$year_after = date("Y",$day_after);
			
			$display .= "<p>";
			$display .= "<a href='?rub=week&amp;week=".$week_before."&amp;year=".$year_before."'>".I10N_WEEK_BEFORE."</a>";
	    	if($day_after < time()) {
				$display .= " - ";
				$display .= "<a href='?rub=week&amp;week=".$week_after."&amp;year=".$year_after."'>".I10N_WEEK_AFTER."</a>";
			}	    	 
			$display .= "</p>";
			
	    	$week_timestamp = $this->week_dates($_GET['week'],$_GET['year']);
	    	
			foreach($week_timestamp as $timestamp) {
				if($timestamp < time()) {
					$display .= "<p>".$this->convert_day(date("N",$timestamp))." ".date("d",$timestamp)." ".$this->convert_months(date("m",$timestamp))."</p>"; //d/m/Y
					$display .= "<p style='border-bottom:1px solid #cccccc;'>";
					$display .= "<a href='?rub=day&amp;day=".date("Y-m-d",$timestamp)."'>";
					$display .= "<img src='graph.php?day=".date("Y-m-d",$timestamp)."&amp;size=small' alt='' />";
					$display .= "</a>";
					$display .= "</p>";
				}
	    	}
			
	    	$display .= "<p>";     
	    	$display .= "<a href='?rub=week&amp;week=".$week_before."&amp;year=".$year_before."'>".I10N_WEEK_BEFORE."</a>";			
			if($day_after < time()) {
				$display .= " - ";
				$display .= "<a href='?rub=week&amp;week=".$week_after."&amp;year=".$year_after."'>".I10N_WEEK_AFTER."</a>";
			}
			$display .= "</p>";			
	    }
		
		return $display;    
	}
	  
	public function prepare() {
	  	return "";
	}
}
?>